<template>
  <v-container class="fill-height">

    <v-row>
      <v-col>
        <v-breadcrumbs :items="breadcrumbs" large>
        </v-breadcrumbs>
      </v-col>
    </v-row>

    <v-row>
      <v-col>
        <v-card-title class="mb-3">
          <h1 class="font-weight-bold text-h2">
            Акции и купоны
          </h1>
        </v-card-title>
        <v-card-text>
          Лучшие скидки и акции вашего города – у нас! Для удобства посетителей нашего сайта все акционные предложения собраны по
          категориям, поэтому вы без проблем найдете нужное именно вам. У нас вы найдете акции в самых разных сферах:
          Спокойные и активные развлечения: от похода в боулинг или бильярд до экшн-квестов и аквапарков; Детский отдых:
          развлекательные парки, батутные центры, мастер-классы, тематические дни рождений и пр.
        </v-card-text>
      </v-col>
    </v-row>

    <v-row class="my-3">
      <v-col class="">
        <router-link to="/make-order" class="text-black text-decoration-none">
          <v-btn size="x-large" color="success" v-bind="props">
            <v-icon icon="mdi-checkbox-marked-circle-outline" size="large" start />

            Оставить заявку
          </v-btn>
        </router-link>
      </v-col>
    </v-row>

    <v-card color="basil" class="mt-5">

      <v-tabs v-model="tab" bg-color="transparent" color="basil" grow>
        <v-tab v-for="item in items" :key="item" :value="item">
          {{ item }}
        </v-tab>
      </v-tabs>

      <v-window v-model="tab">
        <v-window-item v-for="item in items" :key="item" :value="item">
          <v-card color="basil" flat v-if="item === 'Акции'">
            <DiscountsList class="pt-5" />
          </v-card>
          <v-card color="basil" flat v-if="item === 'Купоны'">
            <PromotionsList class="pt-5" />
          </v-card>
        </v-window-item>
      </v-window>
    </v-card>

  </v-container>
</template>

<script>
import DiscountsList from '@/components/discount/DiscountsList.vue';
import PromotionsList from '@/components/promotions/PromotionsList.vue';

export default {
  components: {
    DiscountsList, PromotionsList,
  },
  created() {
    this.$store.dispatch('getDiscounts');
    this.$store.dispatch('getPromotions');
  },
  data() {
    return{
      breadcrumbs: [
        {
          text: 'Домашняя /',
          disabled: true,
          href: '/'
        },
      ],
      items: ['Акции', 'Купоны'],
      tab: 'Акции',
    }
  }
}
</script>
